DESCRIBE_TABLE_QUERY = "DESCRIBE {table}"

RELATIONS_TABLE_QUERY = """
                SELECT 
                    TABLE_NAME, COLUMN_NAME, CONSTRAINT_NAME, REFERENCED_TABLE_NAME, REFERENCED_COLUMN_NAME 
                FROM 
                    INFORMATION_SCHEMA.KEY_COLUMN_USAGE 
                WHERE 
                    REFERENCED_TABLE_SCHEMA = '{database}' AND 
                    TABLE_NAME = '{table}';
            """


DESCRIBE_DATABASE_QUERY = """
SELECT 
    TABLES.TABLE_NAME AS 'Nombre de Tabla',
    COLUMNS.COLUMN_NAME AS 'Campo',
    COLUMNS.COLUMN_TYPE AS 'Tipo de Dato',
    KEY_COLUMN_USAGE.CONSTRAINT_NAME AS 'Nombre de Restricción',
    KEY_COLUMN_USAGE.REFERENCED_TABLE_NAME AS 'Tabla Referenciada',
    KEY_COLUMN_USAGE.REFERENCED_COLUMN_NAME AS 'Campo Referenciado'
FROM 
    INFORMATION_SCHEMA.TABLES
JOIN 
    INFORMATION_SCHEMA.COLUMNS ON TABLES.TABLE_SCHEMA = COLUMNS.TABLE_SCHEMA AND TABLES.TABLE_NAME = COLUMNS.TABLE_NAME
LEFT JOIN 
    INFORMATION_SCHEMA.KEY_COLUMN_USAGE ON TABLES.TABLE_NAME = KEY_COLUMN_USAGE.TABLE_NAME
    AND COLUMNS.COLUMN_NAME = KEY_COLUMN_USAGE.COLUMN_NAME
    AND KEY_COLUMN_USAGE.TABLE_SCHEMA = 'inpos_ayudakarla2'
WHERE 
    TABLES.TABLE_SCHEMA = 'inpos_ayudakarla2' AND
    TABLES.TABLE_TYPE = 'BASE TABLE'
ORDER BY 
    TABLES.TABLE_NAME, COLUMNS.ORDINAL_POSITION;
 """